Your submission was sent successfully! Close

CVE-2020-14410

Published: 19 January 2021

SDL (Simple DirectMedia Layer) through 2.0.12 has a heap-based buffer over-read in Blit_3or4_to_3or4__inversed_rgb in video/SDL_blit_N.c via a crafted .BMP file.

Notes

AuthorNote
mdeslaur
same commit as CVE-2020-14409
for libsdl1.2, this was fixed by CVE-2019-7637
Priority

Medium

CVSS 3 base score: 5.4

Status

Package Release Status
libsdl1.2
Launchpad, Ubuntu, Debian
bionic Not vulnerable

focal Not vulnerable

groovy Not vulnerable

hirsute Not vulnerable

impish Not vulnerable

jammy Not vulnerable

kinetic Not vulnerable

precise Not vulnerable

trusty Not vulnerable

upstream Needs triage

xenial Not vulnerable

libsdl2
Launchpad, Ubuntu, Debian
bionic Needed

focal Needed

groovy Ignored
(reached end-of-life)
hirsute Not vulnerable
(2.0.14+dfsg2-3)
impish Not vulnerable
(2.0.14+dfsg2-3)
jammy Not vulnerable
(2.0.14+dfsg2-3)
kinetic Not vulnerable
(2.0.14+dfsg2-3)
precise Does not exist

trusty Not vulnerable
(code not present)
upstream
Released (2.0.14+dfsg2-2)
xenial Ignored
(end of standard support, was needs-triage)
Patches:
upstream: https://hg.libsdl.org/SDL/rev/3f9b4e92c1d9